/* $Header: /home/yav/xpx/RCS/circle.c,v 1.5 1995/11/23 16:28:39 yav Exp $
 * circle
 * written by yav (UHD98984@pcvan.or.jp)
 * Reference:
 * Algorithm dictionary by Haruhiko Okumura (PAF01002@niftyserve.or.jp)
 */

char rcsid_cirle[] = "$Id: circle.c,v 1.5 1995/11/23 16:28:39 yav Exp $";

#define DOT(x,y) (*pp++ = (x), *pp++ = (y))

int circle(pp, xc, yc, r)
     int *pp;
     int xc;
     int yc;
     int r;
{
  int x, y, pts;

  x = r;
  pts = y = 0;
  while (x >= y) {
    DOT(xc + x -1, yc + y -1);
    DOT(xc + x -1, yc - y);
    DOT(xc - x, yc + y -1);
    DOT(xc - x, yc - y);
    DOT(xc + y -1, yc + x -1);
    DOT(xc + y -1, yc - x);
    DOT(xc - y, yc + x -1);
    DOT(xc - y, yc - x);
    pts += 8;
    if ((r -= (y++ << 1) - 1) < 0)
      r += (x-- - 1) << 1;
  }
  return pts;
}

/* End of file */
