/* $Header: /home/yav/xpx/RCS/extern.h,v 1.12 1996/04/26 17:22:47 yav Exp $
 * xpx global funcs
 * written by yav (UHD98984@pcvan.or.jp)
 */

#ifdef PUBLIC_MAIN_C
# define public
#else
# define public extern
#endif
public int parse_option();
public void calcol();
public int parse_color();
public int request_color();
public void request_color2();
public void free_color();
public void free_color_all();
public int get_color();
public int get_requested_colors();
public char *basefilename();
#undef public

#ifdef PUBLIC_SUB_C
# define public
#else
# define public extern
#endif
public void cursor_busy();
public void cursor_free();
public int create_toplevel_window();
public void menuwin_create2();
public void menuwin_create();
public void topmenuwin_create();
public void redraw_window();
public void menu_highlight();
public MENU *get_top_menu();
public int create_toplevel_window();
public void menuev_init();
public void menuev_event();
public void menuev_destroy();
public void menu_icon_center();
public void menuwin_center();
public void menuwin_expose_default();
public Drawable get_event_window();
#undef public

#ifdef PUBLIC_ICON_C
# define public
#else
# define public extern
#endif
public Pixmap icon_pixmap();
public int icon_width();
public int icon_height();
public int create_icon_pixmap();
public void free_icon_pixmap();
#undef public

#ifdef PUBLIC_INPUTSTR_C
# define public
#else
# define public extern
#endif
public int edit_string();
#undef public

#ifdef PUBLIC_EDIT_C
# define public
#else
# define public extern
#endif
public int create_edit_window();
public void close_edit_window();
public void map_edit_window();
public void unmap_edit_window();
public void edit_event();
public void edit_undo();
public void edit_undo_update();
public void area_update();
public void edit_mode_change();
public int edit_paste_hold();
public int edit_copy_hold();
#undef public

#ifdef PUBLIC_MESSAGE_C
# define public
#else
# define public extern
#endif
public char *errname;
public int create_message_window();
public void map_message_window();
public void close_message_window();
#ifdef HAVE_STDARG_H
#if NeedFunctionPrototypes
public int error(const char *format, ...);
public void message(const char *format, ...);
#else
public int error();
public void message();
#endif
#else
public int error();
public void message();
#endif
#undef public

#ifdef PUBLIC_COLSET_C
# define public
#else
# define public extern
#endif
public MENU colmenu[MAXCOLSET+1];
public int create_colset_window();
public void set_current_color();
public void update_coled_window();
public void update_colmenu();
public void color_mask_alt_all();
public void change_color();
public void reset_color_pushed();
#undef public

#ifdef PUBLIC_PALSET_C
# define public
#else
# define public extern
#endif
public int create_palset_window();
#undef public

#ifdef PUBLIC_INFO_C
# define public
#else
# define public extern
#endif
public MENU infomenu[];
public int create_info_window();
public void close_info_window();
public void unmap_info_window();
public void map_info_window();
public void info_imgsize_set();
public int make_view_image();
public void info_expose();
public void info_press();
#undef public

#ifdef PUBLIC_SCRL_C
# define public
#else
# define public extern
#endif
public MENU scrlbar[];
public MENU hslider[];
public MENU vslider[];
public void move_hslider();
public void move_vslider();
public void resize_scrl();
public void resize_scroll_slider();
public void create_scrlbar_window();
#undef public

#ifdef PUBLIC_CURSOR_C
# define public
#else
# define public extern
#endif
public MENU cursmenu[];
public int create_cursor_window();
#undef public

#ifdef PUBLIC_IMAGE_C
# define public
#else
# define public extern
#endif
public int create_img_window();
public int image_alloc();
public void init_image();
public void image_update_col();
public AREA area0;
public Bool area_flag;
public void max_area();
public Bool mark_flag;
public Bool inarea();
public void calc_img_area();
public void erase_last_area();
public void copy_area_expose();
public void little_big();
public void mark_pts_set();
public void mark_pts_expose();
public void img_scroll();
public void img_scroll_posreset();
public void imgscrl_background();
public void resize_img_window();
#undef public

#ifdef PUBLIC_MENU_C
# define public
#else
# define public extern
#endif
public int create_menu_window();
public void menu_stat_change();
public Window create_dialog();
#undef public

#ifdef PUBLIC_CONVERT_C
# define public
#else
# define public extern
#endif
public int init_tilemask();
public int set_tilemask();
public void gen_image_col();
public void gen_image_subv();
public void gen_image_sub();
public void update_area();
public void imgupdate();
public void setpixelcolor();
public void fill_area2();
public void fill_area();
public void copy_area();
public int rd_pnm();
public int rd_kcf();
public int wr_kcf();
public int rd_cel();
public int wr_cel();
public int rd_xbm();
public int wr_xbm();
public int wr_ppm();
#undef public

#ifdef PUBLIC_UNDO_C
# define public
#else
# define public extern
#endif
public int undo_init();
public int undo_clear();
public int undo_cnt;
public int undo_pull();
public int undo_push_plot();
public int undo_push_area();
public int undo_push_color();
#undef public

#ifdef PUBLIC_MAG_C
# define public
#else
# define public extern
#endif
public int mag_palcnt;
public int mag_dataw;
public int mag_datah;
public int wr_mag();
public int rd_mag();
public void setleshort();
public void setlelong();
#undef public

#ifdef PUBLIC_MAGTOPPM_C
# define public
#else
# define public extern
#endif
public int decode_mag();
public int readleshort();
public long readlelong();
#undef public

#ifdef PUBLIC_LINE_C
# define public
#else
# define public extern
#endif
public int line();
#undef public

#ifdef PUBLIC_CIRCLE_C
# define public
#else
# define public extern
#endif
public int circle();
#undef public

#ifdef PUBLIC_ELLIPSE_C
# define public
#else
# define public extern
#endif
public int ellipse();
#undef public

#ifdef PUBLIC_PAINT_C
# define public
#else
# define public extern
#endif
public void paint();
public int painted_pixel;
#undef public

#ifdef PUBLIC_FILE_C
# define public
#else
# define public extern
#endif
public int change_directory();
public int read_config();
public void file_background();
public int autosave();
public void map_file_window();
public void unmap_file_window();
public int create_file_window();
public void close_file_window();
public void create_filename_window();
public int read_data_file();
public int update_config_file();
#undef public

#ifdef PUBLIC_DIR_C
# define public
#else
# define public extern
#endif
public void get_current_dir();
public int get_dir();
#undef public

#ifdef PUBLIC_CBB_C
# define public
#else
# define public extern
#endif
public int rd_ccb();
public int rd_cbb();
public int rd_csb();
public int rd_cxb();
public int wr_cbb();
public int wr_ccb();
public int wr_cxb();
#undef public

#ifdef PUBLIC_ZOOM_C
# define public
#else
# define public extern
#endif
public void zoom_in();
public void zoom_out();
public void create_zoom_window();
#undef public

#ifdef PUBLIC_GRID_C
# define public
#else
# define public extern
#endif
public void create_grid_window();
#undef public

#ifdef PUBLIC_TILE_C
# define public
#else
# define public extern
#endif
public int create_tile_window();
#undef public

#ifdef PUBLIC_TIM_C
# define public
#else
# define public extern
#endif
public int wr_tim();
public int rd_tim();
public int rd_cls();
#undef public

#ifdef PUBLIC_NBN_C
# define public
#else
# define public extern
#endif
public int rd_nbn();
#undef public

#ifdef PUBLIC_HOLD_C
# define public
#else
# define public extern
#endif
public int save_holdspace();
public int load_holdspace();
#undef public

#ifdef PUBLIC_AREA_C
# define public
#else
# define public extern
#endif
/* area.c */
extern int create_area_menu();
extern void map_area_window();
extern void unmap_area_window();
#undef public

/* End of file */
