/* $Header: /home/yav/xpx/RCS/headers.h,v 1.5 1996/03/05 13:09:23 yav Exp $
 * xpx header files and macros for portability
 * written by yav (UHD98984@pcvan.or.jp)
 */

#ifndef XPX_CONFIG_H
# include "config.h"
#endif

#include <stdio.h>

#ifdef HAVE_STDLIB_H
#include <stdlib.h>
#endif

#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif

#ifdef STDC_HEADERS
# include <string.h>
#else
# ifdef HAVE_STRINGS_H
#  include <strings.h>
# else
char *strchr (), *strrchr ();
# endif
# ifndef HAVE_STRCHR
#  define strchr index
#  define strrchr rindex
# endif
# ifndef HAVE_MEMCPY
#  define memcpy(d, s, n) bcopy ((s), (d), (n))
#  define memmove(d, s, n) bcopy ((s), (d), (n))
#  define memcmp(d, s, n) bcmp ((d), (s), (n))
# endif
#endif

#ifndef HAVE_BZERO
# define bzero(dst,len) memset(dst,0,len)
#endif

#ifdef HAVE_STDARG_H
# include <stdarg.h>
#else
# ifdef HAVE_VARARGS_H
#  include <varargs.h>
# endif
#endif

#ifdef HAVE_MALLOC_H
# include <malloc.h>
#endif


#ifndef PATH_MAX
#define PATH_MAX 1024
#endif

#ifndef MAXPATH
#ifdef MAXPATHLEN
#define MAXPATH MAXPATHLEN
#else
#define MAXPATH 1024
#endif
#endif

/* End of file */
