# $Header: /home/yav/xpx/RCS/icondef.awk,v 1.1 1996/03/25 08:45:20 yav Exp $
# Icon number define for xpx
# written by yav (UHD98984@pcvan.or.jp)
#
# input:
# |mars.xbm up.xbm ...
#
# output:
# |#define ICON_mars	1
# |#define ICON_up	2
# |       :
#

BEGIN {
  n = 1;
  prestr = "#define ICON_";
}

{
  for (i = 1; i <= NF; i++) {
    split($i, a, ".");		# cut suffix, store basename into a[1]
    printf("%s%s\t%d\n", prestr, a[1], n);
    n++;
  }
}

