/* $Header: /home/yav/xpx/RCS/line.c,v 1.4 1995/11/23 16:28:39 yav Exp $
 * line
 * written by yav (UHD98984@pcvan.or.jp)
 * Reference:
 * Algorithm dictionary by Haruhiko Okumura (PAF01002@niftyserve.or.jp)
 */

char rcsid_line[] = "$Id: line.c,v 1.4 1995/11/23 16:28:39 yav Exp $";

#define DOT(x,y) (*pp++ = (x), *pp++ = (y))

/* return: number of points */
int line(pp, x1, y1, x2, y2)
     int *pp;
     int x1;
     int y1;
     int x2;
     int y2;
{
  int dx, dy, s, ystep, xstep, cnt;
  
  dx = abs(x2 - x1);  dy = abs(y2 - y1);
  xstep = (x1 < x2) ? 1: -1;
  ystep = (y1 < y2) ? 1: -1;
  if (dx > dy) {
    s = dx >> 1;
    cnt = dx+1;
    do {
      DOT(x1, y1);
      if ((s -= dy) < 0) {
	s += dx;  y1 += ystep;
      };
      x1 += xstep;
    } while (--cnt);
    return dx+1;
  } else {
    s = dy >> 1;
    cnt = dy+1;
    do {
      DOT(x1, y1);
      if ((s -= dx) < 0) {
	s += dy;  x1 += xstep;
      }
      y1 += ystep;
    } while (--cnt);
    return dy+1;
  }
}

/* End of file */
