/* $Header: /home/yav/xpx/RCS/nbn.c,v 1.3 1996/04/24 23:08:27 yav Exp $
 * NBN file access routine for xpx
 * written by yav (UHD98984@pcvan.or.jp)
 *
 *
 * WARNING:
 *
 * Permission to use and distribute this source is granted without fee.
 * But, It is not permitted to analyze this source without license.
 * 
 *
 */

#include <X11/Xlib.h>

#include "xpx.h"
#include "headers.h"
#include "work.h"
#define PUBLIC_NBN_C
#include "extern.h"


char rcsid_nbn[] = "$Id: nbn.c,v 1.3 1996/04/24 23:08:27 yav Exp $";

/*
 * NBN - Tokimeki Memorial  None header Beta VRAM image
 *
 * Not complieted, Cannot to read any *.nbn file.
 * This is only experimental route.
 *
 */
int rd_nbn(fp)
     FILE *fp;
{
  int c, i, x, y, y0;
  int w, h;
  COL *cp;
  
  w = imgfilew;			/* for image size hint */
  h = imgfileh;			/* use imgfilew,h */
  if (!w || !h)
    w = h = 256;		/* size 0 -> 256x256 default */
  if (w < 128)
    w = 128;
  if (h < 128)
    h = 128;
  /* read pixel */
  for (y0 = 0; y0 < h; y0 += 128) {
    for (x = 0; x < w; x += 128) {
      for (y = y0; y < y0+128; y++)
	fread(imgdata+y*imgmaxw+x, 1, 128, fp);
    }
  }
  imgfiledepth = 8;
  /* read color */
  free_color_all();
  cp = color_buf;
  for (i = 0; i < 256; i++) {
    c = readleshort(fp);
    cp->rgb.red = (c & 0x1f) << 3;
    cp->rgb.green = ((c >> 5) & 0x1f) << 3;
    cp->rgb.blue = ((c >> 10) & 0x1f) << 3;
    cp++;
  }
  get_color(color_buf, 256);
  get_requested_colors();
  imgupdate(w, h);
  return 0;
}

/* End of file */
