# $Header: /home/yav/xpx/RCS/xbmbits.awk,v 1.1 1996/03/26 12:25:58 yav Exp $
# pick up bitmap image section from X11 bitmap files
# written by yav (UHD98984@pcvan.or.jp)
#
# input:
# |#define temp_width 48
# |#define temp_height 48
# |#define temp_x_hot 20
# |#define temp_y_hot 27
# |static char temp_bits[] = {
# |   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70,
# |	:
# |   0x00, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30};
# output:
# |BITS temp_bits[] = {
# |   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70,
# |	:
# |   0x00, 0xff, 0xff, 0xff, 0xff, 0x4f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30};
#

/^static.* char / {
  if ($2 == "unsigned")
    name = $4;
  else
    name = $3;
  printf("BITS %s = {\n", name);
}

/^[ 	\-0-9]/ {
  printf("%s\n", $0);
}
