/* $Header: /home/yav/xpx/RCS/cursor.c,v 1.16 1995/11/23 16:28:39 yav Exp $
 * xpx cursor window
 * written by yav (UHD98984@pcvan.or.jp)
 */

#include <X11/Xlib.h>
#include <X11/Xutil.h>

#include "headers.h"
#include "xpx.h"
#include "work.h"
#include "cursdef.h"
#define PUBLIC_CURSOR_C
#include "extern.h"

#define CURSW	32
#define CURSH	18

char rcsid_cursor[] = "$Id: cursor.c,v 1.16 1995/11/23 16:28:39 yav Exp $";

char *curs_strfunc(p)
     MENU *p;
{
  int i;
  
  switch(p->n) {
  case CURS_TOPX:
    i = imgofsx/zoomfactor;
    break;
  case CURS_TOPY:
    i = imgofsy/zoomfactor;
    break;
  case CURS_CURX:
    i = curx;
    break;
  case CURS_CURY:
    i = cury;
    break;
  case CURS_CURC:
    i = current_col;
    break;
  }
  sprintf(p->str, "%d", i);
  return p->str;
}

MENU cursmenu[] = {
  {
    CURS_TOPX,	MenuModeMaskBorder,
    (CURSW+BDW)*CURS_TOPX, 0, CURSW, CURSH,
    0, ExposureMask, 0,
    NULL, curs_strfunc, 0, 8, NULL},
  {
    CURS_TOPY,	MenuModeMaskBorder,
    (CURSW+BDW)*CURS_TOPY, 0, CURSW, CURSH,
    0, ExposureMask, 0,
    NULL, curs_strfunc, 0, 8, NULL},
  {
    CURS_CURX,	MenuModeMaskBorder,
    (CURSW+BDW)*CURS_CURX, 0, CURSW, CURSH,
    0, ExposureMask, 0,
    NULL, curs_strfunc, 0, 8, NULL},
  {
    CURS_CURY,	MenuModeMaskBorder,
    (CURSW+BDW)*CURS_CURY, 0, CURSW, CURSH,
    0, ExposureMask, 0,
    NULL, curs_strfunc, 0, 8, NULL},
  {
    CURS_CURC,	MenuModeMaskBorder,
    (CURSW+BDW)*CURS_CURC, 0, CURSW, CURSH,
    0, ExposureMask, 0,
    NULL, curs_strfunc, 0, 8, NULL},
  {
    -1,	0,
    0, 0, 0, 0,
    0, 0, 0,
    NULL, NULL, 0, 0, NULL}};

int create_cursor_window(win, x, y)
     Window win;
     int x;
     int y;
{
  topmenuwin_create(cursmenu, x, y);
  return 0;
}

/* End of file */
